%define qtdir %(. %{_sysconfdir}/profile.d/qt.sh 2>/dev/null; echo $QTDIR)

Name:           qtparted
Version:        0.4.4
Release:        0.fdr.1.2
Epoch:          0
Summary:        Partition Magic clone written in C++ using the Qt toolkit

Group:          Applications/System
License:        GPL
URL:            http://qtparted.sourceforge.net/
Source0:        http://download.sourceforge.net/qtparted/qtparted-0.4.4.tar.bz2
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Source3:        %{name}.qtpartedrc
Patch0:         %{name}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel >= 1:3.1.0, parted-devel >= 0:1.6.6, XFree86-devel
BuildRequires:  desktop-file-utils, qt-designer, e2fsprogs-devel, jfsutils
BuildRequires:  zlib-devel, libjpeg-devel, xfsprogs
Requires:       usermode-gtk, e2fsprogs, jfsutils, xfsprogs

%description
QTParted is a Partition Magic clone written in C++ using the Qt toolkit.


%prep
%setup -q
%patch0 -p0


%build
export QTDIR="%{qtdir}"
%configure \
  --with-log-dir=%{_localstatedir}/log \
  --disable-reiserfs \
  --disable-ntfs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applnk/System/qtparted.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
ln -s %{_datadir}/qtparted/pics/qtparted_32.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/qtparted.png

# PAM configuration
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/qtparted
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/qtparted
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/qtparted

# Default configuration
install -Dpm 0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtpartedrc
touch $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock
chmod 600 $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS doc/BUGS debian/changelog COPYING doc/README doc/TODO.txt
%config(noreplace) %{_sysconfdir}/pam.d/qtparted
%config(noreplace) %{_sysconfdir}/security/console.apps/qtparted
%config %{qtdir}/etc/settings/qtpartedrc
%ghost %{qtdir}/etc/settings/.qtpartedrc.lock
%{_bindir}/qtparted
%{_sbindir}/qtparted
%exclude %{_sbindir}/run_qtparted
%{_datadir}/applications/*qtparted.desktop
%{_datadir}/pixmaps/qtparted.png
%exclude %{_datadir}/pixmaps/qtparted.xpm
%dir %{_datadir}/qtparted
%{_datadir}/qtparted/pics
%dir %{_datadir}/qtparted/locale
%lang(ca) %{_datadir}/qtparted/locale/*_ca.qm
%lang(cs) %{_datadir}/qtparted/locale/*_cs.qm
%lang(de) %{_datadir}/qtparted/locale/*_de.qm
%lang(es) %{_datadir}/qtparted/locale/*_es.qm
%lang(fr) %{_datadir}/qtparted/locale/*_fr.qm
%lang(it) %{_datadir}/qtparted/locale/*_it.qm
%lang(pl) %{_datadir}/qtparted/locale/*_pl.qm
%lang(ru) %{_datadir}/qtparted/locale/*_ru.qm
%lang(ua) %{_datadir}/qtparted/locale/*_ua.qm
%{_mandir}/man1/qtparted.1*


%changelog
* Fri May 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.4-0.fdr.1
- Update to 0.4.4.
- Specfile cleanup.

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.5
- Export $QTDIR before running %%configure.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.4
- Add sanity and use mktemp in qtparted_df (bug 388).
- Own stuff under $QTDIR/etc/settings, install default config (bug 388).

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.3
- Move qtparted_df to %%{_libexecdir} and make it executable (#388).
- Require e2fsprogs and jfsutils (#388).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.2
- Use PAM/consolehelper instead of kdesu.
- Mark %%lang files as such.
- .desktop entry tweaks.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.2
- BuildRequire e2fsprogs-devel and add -luuid to LIBS (#316).

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.1
- Update to 0.3.1.
- Drop patch, already applied upstream.
- Install man page (#316).

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.2
- Requires kdebase (kdesu).
- Install French locale.

* Sat May 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.1
- First build.
